package cn.com.ctop.toutiao.modules.report.service;

import cn.com.ctop.toutiao.modules.report.entity.BytedanceCheckReportTaskInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 头条数据检查任务记录
 * @author jeecg-boot
 * 2021-06-07
 * @version V1.0
 */
public interface IBytedanceCheckReportTaskInfoService extends IService<BytedanceCheckReportTaskInfo> {
    void initTask(String date);

    BytedanceCheckReportTaskInfo getInfoByParams(Long accountId, String date);

    List<BytedanceCheckReportTaskInfo> getListByParams(Long accountId, String date,Integer status);

    void checkCost(BytedanceCheckReportTaskInfo taskInfo);

    void reloadData(BytedanceCheckReportTaskInfo taskInfo);
}
